<?php

       echo "<div class='aut'>Обмен баллов</div>";
       
       $obmen=mysql_fetch_array(mysql_query("SELECT * FROM `empire_obmen`"));
echo "<img src='zoloto.PNG' alt=''/>Золото : ".intval($obmen['zoloto'])."ед. за 100 баллов [<a href='?do=22&amp;id=1'>обмен</a>]<br/>";
echo "<img src='derevo.PNG' alt=''/>Дерево : ".intval($obmen['derevo'])."ед. за 100 баллов [<a href='?do=22&amp;id=2'>обмен</a>]<br/>";
echo "<img src='gelezo.PNG' alt=''/>Железо : ".intval($obmen['gelezo'])."ед. за 100 баллов [<a href='?do=22&amp;id=3'>обмен</a>]<br/>";
echo "<img src='push.PNG' alt=''/>Еда : ".intval($obmen['eda'])."ед. за 100 баллов [<a href='?do=22&amp;id=4'>обмен</a>]<br/>";
$id=intval(abs($_GET['id']));
if($id=='1'){
  $max=floor($user['balls']/$obmen['zoloto']);
  if(isset($_POST['submit'])){
    $colvo=abs(intval($_POST['colvo']));
    $colvvo=abs(intval($colvo*$obmen['zoloto']));
    if($user['balls']>=$colvvo){
      mysql_query("UPDATE `empire` SET `zoloto`=`zoloto`+$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
      mysql_query("UPDATE `user` SET `balls`=`balls`-$colvvo WHERE `id`='".$user['id']."' LIMIT 1");
      msg('Вы успешно обменяли '.$colvvo.' баллов на '.$colvo.' ед. золота ');
    }
    else
    {
      msg('Не хватает баллов');
    }
  }
echo "Сколько купить ед. золото(макс. $max) <form method='post' action='?do=22&amp;id=1'>
<input name='colvo' malength='4'/><br/>
<input name='submit' type='submit' value='Менять'/>
</form> ";
  }
  
  if($id=='2'){
  $max=floor($user['balls']/$obmen['derevo']);
  if(isset($_POST['submit'])){
    $colvo=abs(intval($_POST['colvo']));
    $colvvo=abs(intval($colvo*$obmen['derevo']));
    if($user['balls']>=$colvvo){
      mysql_query("UPDATE `empire` SET `derevo`=`derevo`+$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
      mysql_query("UPDATE `user` SET `balls`=`balls`-$colvvo WHERE `id`='".$user['id']."' LIMIT 1");
      msg('Вы успешно обменяли '.$colvvo.' баллов на '.$colvo.' ед. дерева ');
    }
    else
    {
      msg('Не хватает баллов');
    }
  }
echo "Сколько купить ед. дерево(макс. $max) <form method='post' action='?do=22&amp;id=2'>
<input name='colvo' malength='4'/><br/>
<input name='submit' type='submit' value='Менять'/>
</form> ";
  }
  
  if($id=='3'){
  $max=floor($user['balls']/$obmen['gelezo']);
  if(isset($_POST['submit'])){
    $colvo=abs(intval($_POST['colvo']));
    $colvvo=abs(intval($colvo*$obmen['gelezo']));
    if($user['balls']>=$colvvo){
      mysql_query("UPDATE `empire` SET `gelezo`=`gelezo`+$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
      mysql_query("UPDATE `user` SET `balls`=`balls`-$colvvo WHERE `id`='".$user['id']."' LIMIT 1");
      msg('Вы успешно обменяли '.$colvvo.' баллов на '.$colvo.' ед. железа ');
    }
    else
    {
      msg('Не хватает баллов');
    }
  }
echo "Сколько купить ед. железа(макс. $max) <form method='post' action='?do=22&amp;id=3'>
<input name='colvo' malength='4'/><br/>
<input name='submit' type='submit' value='Менять'/>
</form> ";
  }

  if($id=='4'){
  $max=floor($user['balls']/$obmen['eda']);
  if(isset($_POST['submit'])){
    $colvo=abs(intval($_POST['colvo']));
    $colvvo=abs(intval($colvo*$obmen['eda']));
    if($user['balls']>=$colvvo){
      mysql_query("UPDATE `empire` SET `eda`=`eda`+$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
      mysql_query("UPDATE `user` SET `balls`=`balls`-$colvvo WHERE `id`='".$user['id']."' LIMIT 1");
      msg('Вы успешно обменяли '.$colvvo.' баллов на '.$colvo.' ед. еды ');
    }
    else
    {
      msg('Не хватает баллов');
    }
  }
echo "Сколько купить ед. еды(макс. $max) <form method='post' action='?do=22&amp;id=4'>
<input name='colvo' malength='4'/><br/>
<input name='submit' type='submit' value='Менять'/>
</form> ";
  }


       echo "<div class='aut'><a href='?do=0'>Назад</a></div>";

?>